Bug 13921 - XSLT Literary Formats Not Showing
Summary: XSLT Literary Formats Not Showing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-26 20:20 UTC by Nicole C. Engard
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
blank literary form (78.46 KB, image/jpeg)
2015-03-26 20:20 UTC, Nicole C. Engard
Details
poetry is selected (64.46 KB, image/png)
2015-03-26 20:20 UTC, Nicole C. Engard
Details
Bug 13921 - XSLT Literary Formats Not Showing (5.63 KB, patch)
2016-08-19 14:28 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13921 - XSLT Literary Formats Not Showing (5.66 KB, patch)
2016-08-22 23:18 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[PASSED QA] Bug 13921 - XSLT Literary Formats Not Showing (5.72 KB, patch)
2016-08-28 12:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-03-26 20:20:29 UTC
Created attachment 37290 [details]
blank literary form

It appears that not all literary forms show on the search results in staff or OPAC.  Poetry and Mixed forms were the ones I tested but I've never seen anything other than Fiction and Nonfiction.
Comment 1 Nicole C. Engard 2015-03-26 20:20:51 UTC
Created attachment 37291 [details]
poetry is selected
Comment 2 Owen Leonard 2016-08-19 14:28:10 UTC Comment hidden (obsolete)
Comment 3 Aleisha Amohia 2016-08-22 23:18:19 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2016-08-28 12:53:25 UTC
Created attachment 54949 [details] [review]
[PASSED QA] Bug 13921 - XSLT Literary Formats Not Showing

This patch adds some missing literary formats to the staff client and
OPAC's search results XSLT display.

To test you must have DisplayOPACiconsXSLT and DisplayIconsXSLT system
preferences enabled.  XSLTResultsDisplay and OPACXSLTResultsDisplay
should be set to 'default.'

Perform searches in the staff client and the OPAC and confirm that the
following literary forms (defined in 008 position 33) display correctly:
Not fiction; Fiction; Dramas; Essays; Novels; Humor, satires, etc.;
Letters; Short stories; Mixed forms; Poetry; Speeches.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Kyle M Hall 2016-09-02 15:10:28 UTC
Pushed to master for 16.11, thanks Owen!
Comment 6 Frédéric Demians 2016-09-08 19:39:52 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 7 Julian Maurice 2016-09-16 06:46:57 UTC
Pushed to 3.22.x, will be in 3.22.11